For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • POSTCancel
LogoLogo
BlogLogin
API Referencecrawls

List

GET
https://api.flockx.io/api/v1/crawls
GET
/api/v1/crawls
$curl https://api.flockx.io/api/v1/crawls \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "created": "foo",
6 "modified": "foo",
7 "url": "foo",
8 "scan_depth": 42,
9 "last_scan_date": "foo",
10 "status": "foo",
11 "crawl_stats": {},
12 "crawled_urls": [
13 null
14 ],
15 "website_metadata": {},
16 "error_details": "foo",
17 "is_active": true
18 }
19 ],
20 "meta": {
21 "total": 42,
22 "has_next": true,
23 "has_previous": true,
24 "page": 42
25 }
26}
List website scans with optional filtering.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
statusstring or nullOptional
urlstring or nullOptional
is_activeboolean or nullOptionalDefaults to true
knowledge_graphstring or nullOptionalformat: "uuid"

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error